<?php
/*---------------------------------------------------------------*/
/*
    Titre : Convertisseur de volume                                                                                       
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=995
    Date dition     : 15 Fv 2019                                                                                        
    Date mise  jour : 27 Aout 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/

      function convert_volume($val , $type_val , $type_wanted){
     $tab = array("mm3"  => 1/1000000000, // millimetre cube 
       "cm3"  => 1/1000000, // centimetre cube 
       "ml"  => 1/1000000, // millilitre 
       "fluid drachm"  => 3.552/1000000, // drachme liquide (uk) 
       "liquid dram"  => 3.69669/1000000, // drachme liquide (us) 
       "cl"  => 1/100000, // centilitre 
       "lambda"  => 1/1000000, 
       "cubic inch"  => 16.387/1000000, // pouce cubique 
       "fluid ounce"  => 28.413/1000000, // once liquide (uk) 
       "liquid ounce"  => 29.5735/1000000, // once liquide (us) 
       "dl"  => 1/10000, // decilitre 
       "gill_us"  => 0.118294/1000, // quart de pinte (us) 
       "gill_uk"  => 0.14207/1000, // quart de pinte (uk) 
       "liquid pint"  => 0.473176/1000, // pinte liquide (us) 
       "pint"  => 0.56826/1000, // pinte (uk) 
       "liquid gallon"  => 0.946353/1000, // quart de gallon liquide (us) 
       "dm3"  => 1/1000, 
       "l"  => 1/1000, // litre 
       "quart"  => 1.1365/1000, // quart de gallon (uk) 
       "gal_us"  => 3.7854/1000, // gallon (us) 
       "gal_uk"  => 4.54609/1000, // gallon (uk) 
       "peck"  => 9.092/1000, // double gallon (uk) 
       "dal"  => 1/100, // decalitre 
       "cubic foot"  => 28.317/1000, // pied cubique 
       "bushel_us"  => 35.239/1000, // boisseau 
       "bushel_uk"  => 36.368/1000, // boisseau (uk) 
       "hl"  => 1/10, // hectolitre 
       "bbl_us"  => 0.15898, // baril americain 
       "bbl"  => 0.159, // baril de petrole 
       "cubic yard"  => 0.76455486, // yard cubique 
       "m3"  => 1, 
       "shipping ton"  => 1.132674, // tonneau anglais 
       "register ton"  => 2, 831685, // tonneau de jauge international 
       "dam3"  => 1000, 
       "hm3"  => 1000000, 
       "km3"  => 1000000000); 
      return ($val * $tab[$type_val] / $tab[$type_wanted]); 
    }
?>